<template>
	<view class="allpage">
		
		<view class="listtop pfixed">
			<tab-searchone @getSearch='getSearch'></tab-searchone>
			<tab-list :tablist='tablist' :tabidx="tabidx" @getCheck="goCheck" :height='90'></tab-list>
			
			<time-year @bindDateChange="bindDateChange" :timedate="time"></time-year>
		</view>
		<!-- <view style="height: 90rpx;"></view> -->
		<view class="zhanline"></view>
		<view class="alllist">
			<!--  :start="startDate" :end="endDate" -->
			
			<!-- l列表 -->
			<project-list :datalist="list" :wtdt="wtdt" type='shengku' @getDetail='goDetail'></project-list>
		</view>
		<!-- 新增 -->
		<block v-if="checkPermi(['projectV2:skxm:add'])">
			<view style="height: 100rpx;"></view>
			<view class="zdcount_btn"  @click="getAddSkFn">新增申报</view>
		</block>
	</view>
</template>

<script>
	import projectList from "@/components/projectlist/list.vue"
	import tabList from "@/components/toptab/tab.vue"
	import tabSearchone from "@/components/toptab/searchone.vue"
	import timeYear from "@/components/timedata/timeyear.vue"
	import { getskxmList} from '@/api/work/addsk.js'
	import { checkPermi, checkRole } from "@/utils/permission"; // 权限判断函数
	
	export default{
		data(){
			return{
				upimg:require("@/static/images/index/up.png"),
				tabidx:0,
				year:'',
				list:[],
				tablist:[{tit:'全部',val:0,},{tit:'待审',val:1},{tit:'已审',val:2},{tit:'已拒',val:3}],
				pageSize: 10,
				pageNum: 1,
				reachflag:true,
				wtdt:'',
				year:'',
				beginTime:'',
				endTime:'',
				name:'',
				wtdt:'',
				deptId:this.$store.state.user.deptId,
				time:""
			}
		},
		components:{
			projectList,tabList,tabSearchone,timeYear
		},
		onUnload(){
			uni.$off('refreshdatalistsk')
		},
		onLoad(e) {
			uni.$on('refreshdatalistsk',(e) => {
				this.reachflag=true;
				this.pageNum=1;
				this.list=[];
				this.getDataFn();
			})
			var y='';
			if(e.time){
				y=e.time
			}else{
				let date = new Date();
				y = date.getFullYear();
			}
			this.beginTime=y+'0101';
			this.endTime=y+'1231';
			this.time=y;
			this.getDataFn()
		},
		onReachBottom() {
			if (this.reachflag) {
				this.pageNum++
				this.getDataFn()
			}
		},
		methods:{
			checkPermi, checkRole,
			bindDateChange(e){
				this.year=e;
				this.beginTime=e+'0101';
				this.endTime=e+'1231';
				this.reachflag=true;
				this.pageNum=1;
				this.list=[];
				this.getDataFn()
			},
			goCheck(data){
				this.tabidx=data;
				this.reachflag=true;
				this.pageNum=1;
				this.list=[];
				this.getDataFn()
			},
			goDetail(e){
				if(checkPermi(['projectV2:skxm:query'])){
					this.$tab.navigateTo('/pages/work/skproject/skdetail?id='+e.id)
				}
				
			},
			getAddSkFn(){
				this.$tab.navigateTo('/pages/work/skproject/addsk')
			},
			getDataFn(){
				var params={
					pageSize:this.pageSize,
					pageNum: this.pageNum,
					xmmc:this.name,
					deptId:this.deptId
				}
				params['params[beginTime]']=this.beginTime
				params['params[endTime]']=this.endTime
				if(this.tabidx>0){
					params.isSh=this.tabidx
				}
				// isSh
				// if(this.tabidx==1){
				// 	params.isSh='N'
				// }else if(this.tabidx==2){
				// 	params.isSh='Y'
				// }
				getskxmList(params).then(res=>{
					if(res.code==200){
						if (res.rows.length < this.pageSize) {
							this.reachflag = false
							this.wtdt = '到底了~';
						} else {
							var num = parseInt(res.rows.length) + parseInt(this.pageSize) * parseInt(this.pageNum -	1)
							if (num < res.total) {
								this.reachflag = true
								this.wtdt = '上拉加载更多'
							} else {
								this.reachflag = false
								this.wtdt = '到底了~';
							}
						}
						if (this.pageNum == 1) {
							this.list = res.rows;
						} else {
							this.list = this.list.concat(res.rows)
						}
					}else{
						this.$toast(res.msg)
					}
				})
			},
			getSearch(e){
				this.name=e;
				this.reachflag=true;
				this.pageNum=1;
				this.list=[];
				this.getDataFn()
			},
		}
	}
</script>

<style lang="scss" scoped>
	.allpage{min-height: 100vh;background: #ffffff;padding-top:280rpx;box-sizing: border-box;}
.listtopa{border: 6rpx solid #FD5001;border-radius: 36rpx;height:72rpx;box-sizing: border-box;padding:0 140rpx 0 32rpx ;position: relative;
 input{}
 image{width: 30rpx;height: 30rpx;margin-right: 24rpx;}
 .btn{background: #FA5F03;border-radius: 36rpx;width: 140rpx;position: absolute;right: -2rpx;top: -2rpx;bottom:-2rpx;}
 }
 .listtopb{
	 .tit{flex: 1;height: 130rpx;display: flex;flex-direction: column;justify-content: center;position: relative;
	 view{text-align: center;}
	 .tits{color: #666666;}
	 .txt{color: #aaaaaa;}
	 &.act{
		 &::after{content: '';width: 100rpx;height: 6rpx;background:#FE5706 ;position: absolute;left: 50%;margin-left: -50rpx;bottom: 0;}
		.tits{color: #343434;}
		.txt{color: #FE5706;} 
	 }
	 }
 }

 .alllist{padding-top:10rpx ;}
 .zdcount_btn{position: fixed;left: 0;right: 0;bottom: 0;z-index: 4;width: 100%;height: 100rpx;font-size: 32rpx;color: #ffffff;font-weight: 500;
 background: #FE5706;display: flex;align-items: center;justify-content: center;
 
 }
 
</style>